OFF2VRML(1)

NAME
off2vrml - convert an OFF file to VRML format

SYNOPSIS
off2vrml [options] input_files

DESCRIPTION
Convert files in OFF format to VRML format. If input_files are not given the program reads from standard input.

Options

-h,--help this help message (run 'off_util -H help' for general help)

--version version information

-v <rad>
    radius of vertex spheres, or 'b' to have radius of balls of the maximum size without overlap (default: ball_rad/15)

-e <rad>
    radius of edge cylinders (default: vertex_rad/1.5)

-V <col>
    default vertex colour, in form 'R,G,B,A' (3 or 4 values 0.0-1.0, or 0-255) or hex 'xFFFFFF' (default: 1.0,0.5,0.0)

-E <col>
    default edge colour, in form 'R,G,B,A' (3 or 4 values 0.0-1.0, or 0-255) or hex 'xFFFFFF', 'x' to hide implicit edges (default: 0.8,0.6,0.8)

-F <col>
    default face colour, in form 'R,G,B,A' (3 or 4 values 0.0-1.0, or 0-255) or hex 'xFFFFFF' (default: 0.8,0.9,0.9)

-x <elms> hide elements. The element string can include v, e and f

    to hide vertices, edges and faces

-n <elms> show element index number labels. The element string can

    include v, e and f to label vertices, edges and faces

-s <syms> show symmetry elements. The element string can include

    x - rotation axes m - mirror planes r - rotation-reflection planes a - all elements (same as xmr)

-m <maps> a comma separated list of colour maps used to transform colour

    indexes, a part consisting of letters from v, e, f, selects the element types to apply the map list to (default 'vef').

-t <disp> select face parts to display according to winding number from:

    odd, nonzero (default), positive, negative, no_triangulation (use native polygon display)

-l  use lines for edges, points for vertices, in default colours

-o <file> write output to file (default: write to standard output)

    Scene options -D <dist> distance to camera -C <cent> centre of points, in form 'X,Y,Z' -L <look> point to look at, in form 'X,Y,Z'

    (default, points centre)

-R <rot>
    rotate about axes through centre of points, in form 'X-ang,Y-ang,Z-ang' (degrees)

-B <col>
    background colour, in form 'R,G,B,A' (3 or 4 values 0.0-1.0, or 0-255) or hex 'xFFFFFF'

    Precision options -d <dgts> number of significant digits (default 17) or if negative

    then the number of digits after the decimal point

SEE ALSO
The full documentation for off2vrml is maintained as a Texinfo manual. If the info and off2vrml programs are properly installed at your site, the command

    info off2vrml

should give you access to the complete manual.